<div class="container">

  <!-- Start of Header -->
  <div class="applicant-register-header">
    <h4>TEMP ON DEMAND STAFFING</h4>

    <div>
      <simpliflysaas-language-switcher></simpliflysaas-language-switcher>

      <button class="btn btn-primary btn-sm ml-2" (click)="gotoLoginPage()">
        <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>Login
      </button>
    </div>
  </div>
  <!-- End of Header -->

  <!-- Start of Stepper -->
  <mat-horizontal-stepper labelPosition="bottom" linear #stepper (selectionChange)="selectionChange($event)">
    <mat-step [completed]="isAgreed">
      <ng-template matStepLabel>E-Signature</ng-template>
      <p [innerHTML]="'E_SIGNATURE' | translate"></p>
      <div>
        <button class="btn btn-danger" mat-button (click)="goBack()">Decline</button>
        <button class="btn btn-success ml-2" mat-button (click)="agreeTerms()">I Agree</button>
      </div>
    </mat-step>

    <mat-step [completed]="generalForm?.valid">
      <ng-template matStepLabel>{{'GENERAL' | translate}}</ng-template>
      <simpliflysaas-general (generalFormSubmit)="onFormSubmit($event, 2)" (onBack)="goBackToPreviousStep(0)">
      </simpliflysaas-general>
    </mat-step>

    <mat-step [completed]="questionnaireForm?.valid">
      <ng-template matStepLabel>{{'QUESTIONNAIRE' | translate}}</ng-template>
      <simpliflysaas-questionnaire (questionnaireFormSubmit)="onFormSubmit($event, 3)"
        (onBack)="goBackToPreviousStep(1)"></simpliflysaas-questionnaire>
    </mat-step>

    <mat-step>
      <ng-template matStepLabel>{{'EMPLOYMENT_HISTORY' | translate}}</ng-template>
      <simpliflysaas-employment-history (employeeHistoryFormSubmit)="onFormSubmit($event, 4)"
        (onBack)="goBackToPreviousStep(2)"></simpliflysaas-employment-history>
    </mat-step>

    <mat-step>
      <ng-template matStepLabel>{{'REFERENCES' | translate}}</ng-template>
      <simpliflysaas-references (referenceFormSubmit)="onFormSubmit($event, 5)" (onBack)="goBackToPreviousStep(3)">
      </simpliflysaas-references>
    </mat-step>

    <mat-step [completed]="accountInformationForm?.valid">
      <ng-template matStepLabel>{{'ACCOUNT_INFORMATION' | translate}}</ng-template>
      <simpliflysaas-account-information (accountInformationFormSubmit)="onFormSubmit($event, 6)"
        (onBack)="goBackToPreviousStep(4)"></simpliflysaas-account-information>
    </mat-step>

    <mat-step>
      <ng-template matStepLabel>{{'APPLICANTS_STATEMENT' | translate}}</ng-template>
      <simpliflysaas-applicant-statement (applicantStatementFormSubmit)="onFormSubmit($event, 7)"
        (onBack)="goBackToPreviousStep(5)"></simpliflysaas-applicant-statement>
    </mat-step>

  </mat-horizontal-stepper>
</div>